Skip to main content

Organization Actions

https://api.losant.com/orgs/ORG_ID

Below are the various requests that can be performed against the Organization resource, as well as the expected parameters and the potential responses.

Delete

Deletes an organization

Method And Url

DELETE https://api.losant.com/orgs/ORG_ID

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.Organization.bounded, all.User, all.User.bounded, only.Organization, only.Organization.bounded, org.*, or org.delete.

Request Path Components

Path ComponentDescriptionExample
ORG_IDID associated with the organization575ed6e87ae143cd83dc4aa8

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.losant.com/orgs/ORG_ID

Successful Responses

CodeTypeDescription
200SuccessIf organization was successfully deleted

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if organization was not found

Device Counts

Returns device counts by day for the time range specified for this organization

Method And Url

GET https://api.losant.com/orgs/ORG_ID/deviceCounts

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, only.Organization, only.Organization.bounded, only.Organization.read, org.*, or org.deviceCounts.

Request Path Components

Path ComponentDescriptionExample
ORG_IDID associated with the organization575ed6e87ae143cd83dc4aa8

Request Query Parameters

NameRequiredDescriptionDefaultExample
startNStart of range for device count query (ms since epoch)start=0
endNEnd of range for device count query (ms since epoch)end=1465790400000

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/orgs/ORG_ID/deviceCounts

Successful Responses

CodeTypeDescription
200Device CountsDevice counts by day

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if organization was not found

Get

Retrieves information on an organization

Method And Url

GET https://api.losant.com/orgs/ORG_ID

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, only.Organization, only.Organization.bounded, only.Organization.read, org.*, or org.get.

Request Path Components

Path ComponentDescriptionExample
ORG_IDID associated with the organization575ed6e87ae143cd83dc4aa8

Request Query Parameters

NameRequiredDescriptionDefaultExample
summaryExcludeNComma-separated list of summary fields to exclude from org summarysummaryExclude=payloadCount
summaryIncludeNComma-separated list of summary fields to include in org summarysummaryInclude=payloadCount

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/orgs/ORG_ID

Successful Responses

CodeTypeDescription
200OrganizationOrganization information

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if organization not found

Invite Member

Invites a person to an organization

Method And Url

POST https://api.losant.com/orgs/ORG_ID/invites

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.User, only.Organization, org.*, or org.inviteMember.

Request Path Components

Path ComponentDescriptionExample
ORG_IDID associated with the organization575ed6e87ae143cd83dc4aa8

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body

The body of the request should be serialized JSON that validates against the Organization Invitation Post schema. For example, the following would be a valid body for this request:

{
"email": "invitedUser@example.com",
"role": "edit"
}

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"email":"invitedUser@example.com","role":"edit"}' \
https://api.losant.com/orgs/ORG_ID/invites

Successful Responses

CodeTypeDescription
200Organization InvitationsInvitation information

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if organization not found

Modify Member

Modifies a current org member's role

Method And Url

PATCH https://api.losant.com/orgs/ORG_ID/member

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.User, only.Organization, org.*, or org.modifyMember.

Request Path Components

Path ComponentDescriptionExample
ORG_IDID associated with the organization575ed6e87ae143cd83dc4aa8

Request Query Parameters

NameRequiredDescriptionDefaultExample
summaryExcludeNComma-separated list of summary fields to exclude from org summarysummaryExclude=payloadCount
summaryIncludeNComma-separated list of summary fields to include in org summarysummaryInclude=payloadCount

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body

The body of the request should be serialized JSON that validates against the Organization Member Patch schema. For example, the following would be a valid body for this request:

{
"userId": "575ef90f7ae143cd83dc4aad",
"role": "view"
}

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"userId":"575ef90f7ae143cd83dc4aad","role":"view"}' \
https://api.losant.com/orgs/ORG_ID/member

Successful Responses

CodeTypeDescription
200OrganizationUpdated organization information

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if organization not found

Notebook Minute Counts

Returns notebook execution usage by day for the time range specified for this organization

Method And Url

GET https://api.losant.com/orgs/ORG_ID/notebookMinuteCounts

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, only.Organization, only.Organization.bounded, only.Organization.read, org.*, or org.notebookMinuteCounts.

Request Path Components

Path ComponentDescriptionExample
ORG_IDID associated with the organization575ed6e87ae143cd83dc4aa8

Request Query Parameters

NameRequiredDescriptionDefaultExample
startNStart of range for notebook execution query (ms since epoch)start=0
endNEnd of range for notebook execution query (ms since epoch)end=1465790400000

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/orgs/ORG_ID/notebookMinuteCounts

Successful Responses

CodeTypeDescription
200Notebook Minute CountsNotebook usage information

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if organization was not found

Patch

Updates information about an organization

Method And Url

PATCH https://api.losant.com/orgs/ORG_ID

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.Organization.bounded, all.User, all.User.bounded, only.Organization, only.Organization.bounded, org.*, or org.patch.

Request Path Components

Path ComponentDescriptionExample
ORG_IDID associated with the organization575ed6e87ae143cd83dc4aa8

Request Query Parameters

NameRequiredDescriptionDefaultExample
summaryExcludeNComma-separated list of summary fields to exclude from org summarysummaryExclude=payloadCount
summaryIncludeNComma-separated list of summary fields to include in org summarysummaryInclude=payloadCount

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body

The body of the request should be serialized JSON that validates against the Organization Patch schema. For example, the following would be a valid body for this request:

{
"name": "My Updated Organization",
"description": "Description of my updated organization"
}

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"name":"My Updated Organization","description":"Description of my updated organization"}' \
https://api.losant.com/orgs/ORG_ID

Successful Responses

CodeTypeDescription
200OrganizationUpdated organization information

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if organization was not found

Payload Counts

Returns payload counts for the time range specified for all applications this organization owns

Method And Url

GET https://api.losant.com/orgs/ORG_ID/payloadCounts

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, only.Organization, only.Organization.bounded, only.Organization.read, org.*, or org.payloadCounts.

Request Path Components

Path ComponentDescriptionExample
ORG_IDID associated with the organization575ed6e87ae143cd83dc4aa8

Request Query Parameters

NameRequiredDescriptionDefaultExample
startNStart of range for payload count query (ms since epoch)start=0
endNEnd of range for payload count query (ms since epoch)end=1465790400000
asBytesNIf the resulting stats should be returned as bytesfalseasBytes=true

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/orgs/ORG_ID/payloadCounts

Successful Responses

CodeTypeDescription
200Payload StatsPayload counts, by type and source

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if organization was not found

Payload Counts Breakdown

Returns payload counts per resolution in the time range specified for all applications this organization owns

Method And Url

GET https://api.losant.com/orgs/ORG_ID/payloadCountsBreakdown

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, only.Organization, only.Organization.bounded, only.Organization.read, org.*, or org.payloadCountsBreakdown.

Request Path Components

Path ComponentDescriptionExample
ORG_IDID associated with the organization575ed6e87ae143cd83dc4aa8

Request Query Parameters

NameRequiredDescriptionDefaultExample
startNStart of range for payload count query (ms since epoch)start=0
endNEnd of range for payload count query (ms since epoch)end=1465790400000
resolutionNResolution in milliseconds. Accepted values are: 86400000, 360000086400000resolution=86400000
asBytesNIf the resulting stats should be returned as bytesfalseasBytes=true
includeNonBillableNIf non-billable payloads should be included in the resultfalseincludeNonBillable=true

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/orgs/ORG_ID/payloadCountsBreakdown

Successful Responses

CodeTypeDescription
200Payload Counts BreakdownSum of payload counts by date

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if organization was not found

Pending Invites

Gets the current pending invites

Method And Url

GET https://api.losant.com/orgs/ORG_ID/invites

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, only.Organization, only.Organization.bounded, only.Organization.read, org.*, or org.pendingInvites.

Request Path Components

Path ComponentDescriptionExample
ORG_IDID associated with the organization575ed6e87ae143cd83dc4aa8

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/orgs/ORG_ID/invites

Successful Responses

CodeTypeDescription
200Organization InvitationsInvitation information

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if organization not found

Remove Member

Removes a member from the org

Method And Url

DELETE https://api.losant.com/orgs/ORG_ID/member

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.User, only.Organization, org.*, or org.removeMember.

Request Path Components

Path ComponentDescriptionExample
ORG_IDID associated with the organization575ed6e87ae143cd83dc4aa8

Request Query Parameters

NameRequiredDescriptionDefaultExample
userIdYId of user to removeuserId=575ed70c7ae143cd83dc4aa9
summaryExcludeNComma-separated list of summary fields to exclude from org summarysummaryExclude=payloadCount
summaryIncludeNComma-separated list of summary fields to include in org summarysummaryInclude=payloadCount

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.losant.com/orgs/ORG_ID/member?userId=575ed70c7ae143cd83dc4aa9

Successful Responses

CodeTypeDescription
200OrganizationUpdated organization information

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if organization not found

Revoke Invite

Revokes an existing invite

Method And Url

DELETE https://api.losant.com/orgs/ORG_ID/invites

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.User, only.Organization, org.*, or org.revokeInvite.

Request Path Components

Path ComponentDescriptionExample
ORG_IDID associated with the organization575ed6e87ae143cd83dc4aa8

Request Query Parameters

NameRequiredDescriptionDefaultExample
inviteIdYId of invite to revokeinviteId=575ed71e7ae143cd83dc4aaa

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.losant.com/orgs/ORG_ID/invites?inviteId=575ed71e7ae143cd83dc4aaa

Successful Responses

CodeTypeDescription
200Organization InvitationsInvitation information

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if organization not found

Transfer Resources

Moves resources to a new owner

Method And Url

PATCH https://api.losant.com/orgs/ORG_ID/transferResources

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.User, only.Organization, org.*, or org.transferResources.

Request Path Components

Path ComponentDescriptionExample
ORG_IDID associated with the organization575ed6e87ae143cd83dc4aa8

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body

The body of the request should be serialized JSON that validates against the Resource Transfer schema. For example, the following would be a valid body for this request:

{
"destinationId": "575ed6e87ae143cd83dc4aa8",
"destinationType": "organization",
"applicationIds": [
"575ec8687ae143cd83dc4a97"
]
}

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"destinationId":"575ed6e87ae143cd83dc4aa8","destinationType":"organization","applicationIds":["575ec8687ae143cd83dc4a97"]}' \
https://api.losant.com/orgs/ORG_ID/transferResources

Successful Responses

CodeTypeDescription
200SuccessIf resource transfer was successful

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if organization was not found

Schemas

Device Counts

Schema for the result of a device counts request

Device Counts Schema

  • {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • {} 3 keys
      • {} 2 keys
        • {} 2 keys
          • {} 2 keys

        Device Counts Example

        • {} 3 keys
          • "1999-05-20T05:00:00.000Z"
          • "1999-06-20T04:59:59.999Z"
          • [] 1 item

          Error

          Schema for errors returned by the API

          Error Schema

          • {} 3 keys
            • "http://json-schema.org/draft-07/schema#"
            • "object"
            • {} 3 keys
              • {} 1 key
                • {} 1 key
                  • {} 2 keys

                Error Example

                • {} 2 keys
                  • "NotFound"
                  • "Application was not found"

                Notebook Minute Counts

                Schema for the result of a notebook minute counts request

                Notebook Minute Counts Schema

                • {} 3 keys
                  • "http://json-schema.org/draft-07/schema#"
                  • "object"
                  • {} 3 keys
                    • {} 2 keys
                      • {} 2 keys
                        • {} 2 keys

                      Notebook Minute Counts Example

                      • {} 3 keys
                        • "1999-05-20T05:00:00.000Z"
                        • "1999-06-20T04:59:59.999Z"
                        • [] 1 item

                        Organization

                        Schema for a single Organization

                        Organization Schema

                        • {} 3 keys
                          • "http://json-schema.org/draft-07/schema#"
                          • "object"
                          • {} 23 keys
                            • {} 2 keys
                              • {} 2 keys
                                • {} 2 keys
                                  • {} 2 keys
                                    • {} 3 keys
                                      • {} 2 keys
                                        • {} 2 keys
                                          • {} 2 keys
                                            • {} 3 keys
                                              • {} 2 keys
                                                • {} 2 keys
                                                  • {} 3 keys
                                                    • {} 2 keys
                                                      • {} 2 keys
                                                        • {} 2 keys
                                                          • {} 1 key
                                                            • {} 2 keys
                                                              • {} 2 keys
                                                                • {} 1 key
                                                                  • {} 1 key
                                                                    • {} 1 key
                                                                      • {} 2 keys
                                                                        • {} 3 keys

                                                                      Organization Example

                                                                      • {} 8 keys
                                                                        • "575ed6e87ae143cd83dc4aa8"
                                                                        • "575ed6e87ae143cd83dc4aa8"
                                                                        • "2016-06-13T04:00:00.000Z"
                                                                        • "2016-06-13T04:00:00.000Z"
                                                                        • "My Organization"
                                                                        • "My organization description"
                                                                        • [] 2 items
                                                                          • {} 7 keys

                                                                          Organization Invitation Post

                                                                          Schema for the body of a request to send an invitation

                                                                          Organization Invitation Post Schema

                                                                          • {} 5 keys
                                                                            • "http://json-schema.org/draft-07/schema#"
                                                                            • "object"
                                                                            • {} 5 keys
                                                                              • {} 3 keys
                                                                                • {} 2 keys
                                                                                  • {} 3 keys
                                                                                    • {} 3 keys
                                                                                      • {} 1 key
                                                                                      • false
                                                                                      • [] 2 items

                                                                                      Organization Invitation Post Example

                                                                                      • {} 2 keys
                                                                                        • "invitedUser@example.com"
                                                                                        • "edit"

                                                                                      Organization Invitations

                                                                                      Schema for an array of pending invitations to an Organization

                                                                                      Organization Invitations Schema

                                                                                      • {} 3 keys
                                                                                        • "http://json-schema.org/draft-07/schema#"
                                                                                        • "array"
                                                                                        • {} 2 keys

                                                                                        Organization Invitations Example

                                                                                        • [] 1 item
                                                                                          • {} 9 keys

                                                                                          Organization Member Patch

                                                                                          Schema for the body of a request to modify an Organization member

                                                                                          Organization Member Patch Schema

                                                                                          • {} 5 keys
                                                                                            • "http://json-schema.org/draft-07/schema#"
                                                                                            • "object"
                                                                                            • {} 4 keys
                                                                                              • {} 2 keys
                                                                                                • {} 2 keys
                                                                                                  • {} 3 keys
                                                                                                    • {} 3 keys
                                                                                                    • false
                                                                                                    • [] 1 item

                                                                                                    Organization Member Patch Example

                                                                                                    • {} 2 keys
                                                                                                      • "575ef90f7ae143cd83dc4aad"
                                                                                                      • "view"

                                                                                                    Organization Patch

                                                                                                    Schema for the body of an Organization modification request

                                                                                                    Organization Patch Schema

                                                                                                    • {} 4 keys
                                                                                                      • "http://json-schema.org/draft-07/schema#"
                                                                                                      • "object"
                                                                                                      • {} 7 keys
                                                                                                        • {} 3 keys
                                                                                                          • {} 2 keys
                                                                                                            • {} 2 keys
                                                                                                              • {} 3 keys
                                                                                                                • {} 2 keys
                                                                                                                  • {} 2 keys
                                                                                                                    • {} 2 keys
                                                                                                                    • false

                                                                                                                  Organization Patch Example

                                                                                                                  • {} 2 keys
                                                                                                                    • "My Updated Organization"
                                                                                                                    • "Description of my updated organization"

                                                                                                                  Payload Counts Breakdown

                                                                                                                  Schema for the result of a payload counts breakdown request

                                                                                                                  Payload Counts Breakdown Schema

                                                                                                                  • {} 3 keys
                                                                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                                                                    • "object"
                                                                                                                    • {} 3 keys
                                                                                                                      • {} 2 keys
                                                                                                                        • {} 2 keys
                                                                                                                          • {} 2 keys

                                                                                                                        Payload Counts Breakdown Example

                                                                                                                        • {} 3 keys
                                                                                                                          • "1999-05-20T05:00:00.000Z"
                                                                                                                          • "1999-06-20T04:59:59.999Z"
                                                                                                                          • [] 1 item

                                                                                                                          Payload Stats

                                                                                                                          Schema for the result of a payload stats request

                                                                                                                          Payload Stats Schema

                                                                                                                          • {} 3 keys
                                                                                                                            • "http://json-schema.org/draft-07/schema#"
                                                                                                                            • "object"
                                                                                                                            • {} 19 keys
                                                                                                                              • {} 2 keys
                                                                                                                                • {} 2 keys
                                                                                                                                  • {} 2 keys
                                                                                                                                    • {} 2 keys
                                                                                                                                      • {} 2 keys
                                                                                                                                        • {} 2 keys
                                                                                                                                          • {} 2 keys
                                                                                                                                            • {} 2 keys
                                                                                                                                              • {} 2 keys
                                                                                                                                                • {} 2 keys
                                                                                                                                                  • {} 2 keys
                                                                                                                                                    • {} 2 keys
                                                                                                                                                      • {} 2 keys
                                                                                                                                                        • {} 2 keys
                                                                                                                                                          • {} 2 keys
                                                                                                                                                            • {} 2 keys
                                                                                                                                                              • {} 2 keys
                                                                                                                                                                • {} 2 keys
                                                                                                                                                                  • {} 2 keys

                                                                                                                                                                Payload Stats Example

                                                                                                                                                                • {} 6 keys
                                                                                                                                                                  • {} 1 key
                                                                                                                                                                    • {} 2 keys
                                                                                                                                                                      • {} 1 key
                                                                                                                                                                        • {} 1 key
                                                                                                                                                                          • {} 1 key
                                                                                                                                                                            • {} 1 key

                                                                                                                                                                            Resource Transfer

                                                                                                                                                                            Schema for the body of a resource transfer request

                                                                                                                                                                            Resource Transfer Schema

                                                                                                                                                                            • {} 5 keys
                                                                                                                                                                              • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                                              • "object"
                                                                                                                                                                              • {} 5 keys
                                                                                                                                                                                • {} 2 keys
                                                                                                                                                                                  • {} 2 keys
                                                                                                                                                                                    • {} 3 keys
                                                                                                                                                                                      • {} 3 keys
                                                                                                                                                                                        • {} 1 key
                                                                                                                                                                                        • false
                                                                                                                                                                                        • [] 2 items

                                                                                                                                                                                        Resource Transfer Example

                                                                                                                                                                                        • {} 3 keys
                                                                                                                                                                                          • "575ed6e87ae143cd83dc4aa8"
                                                                                                                                                                                          • "organization"
                                                                                                                                                                                          • [] 1 item

                                                                                                                                                                                          Success

                                                                                                                                                                                          Schema for reporting a successful operation

                                                                                                                                                                                          Success Schema

                                                                                                                                                                                          • {} 3 keys
                                                                                                                                                                                            • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                                                            • "object"
                                                                                                                                                                                            • {} 1 key
                                                                                                                                                                                              • {} 2 keys

                                                                                                                                                                                            Success Example

                                                                                                                                                                                            • {} 1 key
                                                                                                                                                                                              • true

                                                                                                                                                                                            Was this page helpful?


                                                                                                                                                                                            Still looking for help? You can also search the Losant Forums or submit your question there.